# _embedded_hal_blocking_delay_DelayMs in k210_hal::prelude - Rust
Millisecond delay
Keywords: rust, rustlang, rust-lang, _embedded_hal_blocking_delay_DelayMs

# Trait k210_hal::prelude::_embedded_hal_blocking_delay_DelayMs

source · [−]

    pub trait _embedded_hal_blocking_delay_DelayMs<UXX> {
        type Error;
        fn try_delay_ms(&mut self, ms: UXX) -> Result<(), Self::Error>;
    }

Expand description

Millisecond delay

`UXX` denotes the range type of the delay time. `UXX` can be `u8`, `u16`, etc. A single type can implement this trait for different types of `UXX`.

## Associated Types

source

#### type Error

Enumeration of `DelayMs` errors

## Required methods

source

#### fn try_delay_ms(&mut self, ms: UXX) -> Result<(), Self::Error>

Pauses execution for `ms` milliseconds

## Implementors